## sxmo-utils 1.9.0

=== Makefile ===
PREFIX:=/usr

.PHONY: install shellcheck

VERSION:=1.9.0

GITVERSION:=$(shell git describe --tags)

OPENRC:=1

CC ?= $(CROSS_COMPILE)gcc
PROGRAMS = \
	programs/sxmo_vibrate \
	programs/sxmo_splitchar

all: $(PROGRAMS)

test: shellcheck

shellcheck:
	shellcheck -x scripts/*/*.sh

programs/sxmo_vibrate: programs/sxmo_vibrate.c
	$(CC) -o programs/sxmo_vibrate programs/sxmo_vibrate.c

programs/sxmo_splitchar: programs/sxmo_splitchar.c
	$(CC) -o programs/sxmo_splitchar programs/sxmo_splitchar.c

clean:
	rm -f programs/sxmo_vibrate programs/sxmo_splitchar

install: $(PROGRAMS)
	cd configs && find . -type f -not -name sxmo-setpermissions -exec install -D -m 0644 "{}" "$(DESTDIR)$(PREFIX)/share/sxmo/{}" \; && cd ..

	rm -rf "$(DESTDIR)$(PREFIX)/share/sxmo/default_hooks/"
	cd configs && find default_hooks -type f -exec install -D -m 0755 "{}" "$(DESTDIR)$(PREFIX)/share/sxmo/{}" \; && cd ..
	cd configs && find default_hooks -type l -exec cp -R "{}" "$(DESTDIR)$(PREFIX)/share/sxmo/{}" \; && cd ..

	[ -n "$(GITVERSION)" ] && echo "$(GITVERSION)" > "$(DESTDIR)$(PREFIX)/share/sxmo/version" || echo "$(VERSION)" > "$(DESTDIR)$(PREFIX)/share/sxmo/version"

	cd resources && find . -type f -exec install -D -m 0644 "{}" "$(DESTDIR)$(PREFIX)/share/sxmo/{}" \; && cd ..

	# Configs
	if [ "$(OPENRC)" = "1" ]; then \
		install -D -m 0755 -t $(DESTDIR)/etc/init.d configs/openrc/sxmo-setpermissions; \
	fi

	install -D -m 0644 -t $(DESTDIR)/usr/lib/udev/rules.d/ configs/udev/*.rules

	install -D -m 0644 -t $(DESTDIR)$(PREFIX)/share/applications/ configs/xdg/mimeapps.list
	install -D -m 0644 -t $(DESTDIR)$(PREFIX)/share/xsessions/ configs/applications/sxmo.desktop
	install -D -m 0644 -t $(DESTDIR)$(PREFIX)/share/wayland-sessions/ configs/applications/swmo.desktop

	install -D -m 0640 -t $(DESTDIR)/etc/doas.d/ configs/doas/sxmo.conf

	install -D -m 0644 -T configs/xorg/monitor.conf $(DESTDIR)$(PREFIX)/share/X11/xorg.conf.d/90-monitor.conf

	mkdir -p $(DESTDIR)/etc/NetworkManager/dispatcher.d

	install -D -m 0644 -T configs/appcfg/mpv_input.conf $(DESTDIR)/etc/mpv/input.conf

	install -D -m 0755 -T configs/profile.d/sxmo_init.sh $(DESTDIR)/etc/profile.d/sxmo_init.sh

	# Migrations
	install -D -t $(DESTDIR)$(PREFIX)/share/sxmo/migrations migrations/*

	# Bin
	install -D -t $(DESTDIR)$(PREFIX)/bin scripts/*/*.sh

	install -D programs/sxmo_vibrate $(DESTDIR)$(PREFIX)/bin/
	install -D programs/sxmo_splitchar $(DESTDIR)$(PREFIX)/bin/

	find $(DESTDIR)$(PREFIX)/share/sxmo/default_hooks/ -type f -exec ./setup_config_version.sh "{}" \;
	find $(DESTDIR)$(PREFIX)/share/sxmo/appcfg/ -type f -exec ./setup_config_version.sh "{}" \;

	# Appscripts
	mkdir -p "$(DESTDIR)$(PREFIX)/share/sxmo/appscripts"
	cd scripts/appscripts && find . -name 'sxmo_*.sh' | xargs -I{} ln -fs "$(PREFIX)/bin/{}" "$(DESTDIR)$(PREFIX)/share/sxmo/appscripts/{}" && cd ../..


	mkdir -p "$(DESTDIR)$(PREFIX)/share/superd/services"
	install -m 0644 -t $(DESTDIR)$(PREFIX)/share/superd/services configs/superd/services/*

	@echo "-------------------------------------------------------------------">&2
	@echo "NOTICE 1: Do not forget to add sxmo-setpermissions to your init system, e.g. for openrc: rc-update add sxmo-setpermissions default && rc-service sxmo-setpermissions start" >&2
	@echo "-------------------------------------------------------------------">&2
	@echo "NOTICE 2: After an upgrade, it is recommended you reboot and when prompted run sxmo_migrate.sh to check and upgrade your configuration files and custom hooks against the defaults (it will not make any changes unless explicitly told to)" >&2
	@echo "-------------------------------------------------------------------">&2

=== debian/changelog ===
sxmo-utils (1.9.0-2) unstable; urgency=medium

  * Add patch for lisgd.service
  * Add j4-dmenu-desktop

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 21 Aug 2022 20:15:12 +0200

sxmo-utils (1.9.0-1) unstable; urgency=medium

  * Initial release.

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 11 Aug 2022 14:56:28 +0200

=== debian/control ===
Source: sxmo-utils
Section: x11
Priority: optional
Maintainer: Tzafrir Cohen <tzafrir@debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
Build-Depends: debhelper-compat (= 13),
 shellcheck,
 busybox:native,
Standards-Version: 4.6.1
Homepage: https://git.sr.ht/~mil/sxmo-utils
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/sxmo-utils
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/sxmo-utils.git
Rules-Requires-Root: no

Package: sxmo-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 swayidle,
 gojq,
 libnotify-bin,
 inotify-tools,
 mako-notifier,
 pipewire,
 pipewire-pulse,
 wireplumber,
 bemenu,
 wob,
 sway,
 swaylock,
 foot,
 wvkbd,
 light,
 lisgd,
 wayout,
 pn,
 fonts-noto-color-emoji,
 mmsd-tng,
 wtype,
 pamixer,
 grim,
 wl-clipboard,
 slurp,
 callaudiod,
 libcallaudio-tools,
 vvmd,
 bc,
 net-tools,
 pulseaudio-utils,
 xdg-user-dirs,
 j4-dmenu-desktop,
Recommends:
 curl,
 firefox,
 megapixels,
 mpv,
 netsurf,
 network-manager,
 w3m,
 wget,
 yt-dlp,
Description: scripts and C programs to support Sxmo
 Sxmo is a minimalist environment for Linux mobile devices, such as the
 pinephone.
 .
 This package contains scripts and C programs to support Sxmo.

## sxmo-utils 1.11.1

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 CC ?= $(CROSS_COMPILE)gcc
 PROGRAMS = \
+	programs/sxmo_aligned_sleep \
 	programs/sxmo_vibrate \
 	programs/sxmo_splitchar
 
@@ -18,18 +19,23 @@
 test: shellcheck
 
 shellcheck:
-	shellcheck -x scripts/*/*.sh
+	find . -type f -name '*.sh' -print0 | xargs -0 shellcheck -x --shell=sh
 
-programs/sxmo_vibrate: programs/sxmo_vibrate.c
-	$(CC) -o programs/sxmo_vibrate programs/sxmo_vibrate.c
-
-programs/sxmo_splitchar: programs/sxmo_splitchar.c
-	$(CC) -o programs/sxmo_splitchar programs/sxmo_splitchar.c
+programs/%: programs/%.c
+	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $<
 
 clean:
-	rm -f programs/sxmo_vibrate programs/sxmo_splitchar
+	rm -f programs/sxmo_aligned_sleep programs/sxmo_vibrate programs/sxmo_splitchar
 
-install: $(PROGRAMS)
+install: install-sway install-dwm install-scripts
+
+install-sway:
+	install -D -m 0644 -t $(DESTDIR)$(PREFIX)/share/wayland-sessions/ configs/applications/swmo.desktop
+
+install-dwm:
+	install -D -m 0644 -t $(DESTDIR)$(PREFIX)/share/xsessions/ configs/applications/sxmo.desktop
+
+install-scripts: $(PROGRAMS)
 	cd configs && find . -type f -not -name sxmo-setpermissions -exec install -D -m 0644 "{}" "$(DESTDIR)$(PREFIX)/share/sxmo/{}" \; && cd ..
 
 	rm -rf "$(DESTDIR)$(PREFIX)/share/sxmo/default_hooks/"
@@ -46,10 +52,9 @@
 	fi
 
 	install -D -m 0644 -t $(DESTDIR)/usr/lib/udev/rules.d/ configs/udev/*.rules
+	install -D -m 0644 -t $(DESTDIR)/etc/sway/config.d/ configs/sway/*
 
 	install -D -m 0644 -t $(DESTDIR)$(PREFIX)/share/applications/ configs/xdg/mimeapps.list
-	install -D -m 0644 -t $(DESTDIR)$(PREFIX)/share/xsessions/ configs/applications/sxmo.desktop
-	install -D -m 0644 -t $(DESTDIR)$(PREFIX)/share/wayland-sessions/ configs/applications/swmo.desktop
 
 	install -D -m 0640 -t $(DESTDIR)/etc/doas.d/ configs/doas/sxmo.conf
 
@@ -67,6 +72,7 @@
 	# Bin
 	install -D -t $(DESTDIR)$(PREFIX)/bin scripts/*/*.sh
 
+	install -D programs/sxmo_aligned_sleep $(DESTDIR)$(PREFIX)/bin/
 	install -D programs/sxmo_vibrate $(DESTDIR)$(PREFIX)/bin/
 	install -D programs/sxmo_splitchar $(DESTDIR)$(PREFIX)/bin/

=== debian/changelog ===
sxmo-utils (1.11.1-3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Add rfkill dependency
  * Update remove_busybox patch

  [ Arnaud Ferraris ]
  * Don't enable nor start systemd unit by default

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 04 Nov 2022 12:27:29 +0100

sxmo-utils (1.11.1-2) unstable; urgency=medium

  * Workaround shellcheck warnings

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 28 Oct 2022 15:10:31 +0200

sxmo-utils (1.11.1-1) unstable; urgency=medium

  * New upstream release
  * Fix gbp.conf
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 28 Oct 2022 14:14:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: sxmo-utils
 Section: x11
 Priority: optional
-Maintainer: Tzafrir Cohen <tzafrir@debian.org>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
+ Tzafrir Cohen <tzafrir@debian.org>,
  Jochen Sprickerhof <jspricke@debian.org>,
 Build-Depends: debhelper-compat (= 13),
  shellcheck,
@@ -49,6 +50,7 @@
  pulseaudio-utils,
  xdg-user-dirs,
  j4-dmenu-desktop,
+ rfkill,
 Recommends:
  curl,
  firefox,

## sxmo-utils 1.12.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 .PHONY: install shellcheck
 
-VERSION:=1.9.0
+VERSION:=1.12.0
 
 GITVERSION:=$(shell git describe --tags)
 
@@ -11,8 +11,7 @@
 CC ?= $(CROSS_COMPILE)gcc
 PROGRAMS = \
 	programs/sxmo_aligned_sleep \
-	programs/sxmo_vibrate \
-	programs/sxmo_splitchar
+	programs/sxmo_vibrate
 
 all: $(PROGRAMS)
 
@@ -25,7 +24,7 @@
 	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $<
 
 clean:
-	rm -f programs/sxmo_aligned_sleep programs/sxmo_vibrate programs/sxmo_splitchar
+	rm -f programs/sxmo_aligned_sleep programs/sxmo_vibrate
 
 install: install-sway install-dwm install-scripts
 
@@ -74,7 +73,6 @@
 
 	install -D programs/sxmo_aligned_sleep $(DESTDIR)$(PREFIX)/bin/
 	install -D programs/sxmo_vibrate $(DESTDIR)$(PREFIX)/bin/
-	install -D programs/sxmo_splitchar $(DESTDIR)$(PREFIX)/bin/
 
 	find $(DESTDIR)$(PREFIX)/share/sxmo/default_hooks/ -type f -exec ./setup_config_version.sh "{}" \;
 	find $(DESTDIR)$(PREFIX)/share/sxmo/appcfg/ -type f -exec ./setup_config_version.sh "{}" \;

=== debian/changelog ===
sxmo-utils (1.12.0-7) unstable; urgency=medium

  * Add patch to fix login when sxmo is removed

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 24 May 2023 19:15:29 +0200

sxmo-utils (1.12.0-6) unstable; urgency=medium

  * Replace pn by pnc
  * Fix spelling

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 23 Jan 2023 22:47:09 +0100

sxmo-utils (1.12.0-5) unstable; urgency=medium

  * Fix Bluetooth toggle.
    Thanks to hookd6
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 25 Dec 2022 14:25:28 +0100

sxmo-utils (1.12.0-4) unstable; urgency=medium

  * Fix logind config filename

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 12 Dec 2022 10:14:24 +0100

sxmo-utils (1.12.0-3) unstable; urgency=medium

  * Add patch for new wob
  * Fix muted modem microphone icon
  * Add logind config for the power button

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 12 Dec 2022 08:33:03 +0100

sxmo-utils (1.12.0-2) unstable; urgency=medium

  * Add patch to disable shellcheck

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 20 Nov 2022 14:38:39 +0100

sxmo-utils (1.12.0-1) unstable; urgency=medium

  * New upstream release
  * Rebase patches
  * Add patch to not start bonsaid
  * Add patch for XDG_DATA_DIRS fallback

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 20 Nov 2022 12:59:44 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
  shellcheck,
  busybox:native,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://git.sr.ht/~mil/sxmo-utils
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/sxmo-utils
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/sxmo-utils.git
@@ -34,7 +34,7 @@
  light,
  lisgd,
  wayout,
- pn,
+ pnc,
  fonts-noto-color-emoji,
  mmsd-tng,
  wtype,
@@ -53,7 +53,7 @@
  rfkill,
 Recommends:
  curl,
- firefox,
+ firefox-esr,
  megapixels,
  mpv,
  netsurf,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd --name=sxmo --no-start --no-enable --no-stop-on-upgrade --no-restart-after-upgrade

=== debian/watch ===
version=4
opts="mode=git" \
https://git.sr.ht/~mil/sxmo-utils \
refs/tags/@ANY_VERSION@

## sxmo-utils 1.14.2

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,12 @@
+DESTDIR=
 PREFIX:=/usr
+SHAREDIR=$(PREFIX)/share
+MANDIR=$(SHAREDIR)/man
+SCDOC=scdoc
 
 .PHONY: install shellcheck
 
-VERSION:=1.12.0
+VERSION:=1.13.0
 
 GITVERSION:=$(shell git describe --tags)
 
@@ -13,7 +17,13 @@
 	programs/sxmo_aligned_sleep \
 	programs/sxmo_vibrate
 
-all: $(PROGRAMS)
+DOCS = \
+	docs/sxmo.7
+
+docs/%: docs/%.scd
+	$(SCDOC) <$< >$@
+
+all: $(PROGRAMS) $(DOCS)
 
 test: shellcheck
 
@@ -26,7 +36,10 @@
 clean:
 	rm -f programs/sxmo_aligned_sleep programs/sxmo_vibrate
 
-install: install-sway install-dwm install-scripts
+install: install-sway install-dwm install-scripts install-docs
+
+install-docs: $(DOCS)
+	cd docs && find . -type f -name '*.7' -exec install -D -m 0644 "{}" "$(DESTDIR)$(MANDIR)/man7/{}" \; && cd ..
 
 install-sway:
 	install -D -m 0644 -t $(DESTDIR)$(PREFIX)/share/wayland-sessions/ configs/applications/swmo.desktop
@@ -51,7 +64,6 @@
 	fi
 
 	install -D -m 0644 -t $(DESTDIR)/usr/lib/udev/rules.d/ configs/udev/*.rules
-	install -D -m 0644 -t $(DESTDIR)/etc/sway/config.d/ configs/sway/*
 
 	install -D -m 0644 -t $(DESTDIR)$(PREFIX)/share/applications/ configs/xdg/mimeapps.list

=== debian/changelog ===
sxmo-utils (1.14.2-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper >= 13.11.8 which
    installs systemd units into /usr.

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Oct 2024 18:14:29 +0200

sxmo-utils (1.14.2-1) experimental; urgency=medium

  * New upstream release
  * Update d/copyright
  * Rediff patches
  * Add new scdoc build dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 07 Jul 2023 15:37:44 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
  shellcheck,
  busybox:native,
+ scdoc,
 Standards-Version: 4.6.2
 Homepage: https://git.sr.ht/~mil/sxmo-utils
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/sxmo-utils
